import { ISvgProps } from '../types';

const defaultProps: ISvgProps = {
	viewBox: '0 0 40 40',
	pathClassName: 'st0'
};

export function SvgInstagram(props: ISvgProps) {
	props = { ...defaultProps, ...props };
	const { pathClassName, ...svgProps } = props;

	return (
		<svg {...svgProps}>
			<rect id='Rectangle_2386' data-name='Rectangle 2386' fill='none' />
			<g id='Group_3444' data-name='Group 3444' transform='translate(7 7)'>
				<path
					id='Path_4118'
					data-name='Path 4118'
					d='M11.929,22.224q-2.044,0-4.088,0a6.026,6.026,0,0,1-6.086-5.266,5.766,5.766,0,0,1-.044-.842c0-2.748-.012-5.5,0-8.244A6,6,0,0,1,6.512,1.9a6.28,6.28,0,0,1,1.307-.123q4.121-.016,8.243,0a6,6,0,0,1,6.092,6.005q.044,4.224,0,8.447a6,6,0,0,1-6.068,5.994c-1.386.006-2.771,0-4.156,0m9.292-10.209h.019c0-1.386.013-2.771,0-4.157a5.082,5.082,0,0,0-5.1-5.156q-4.19-.048-8.381,0A5.062,5.062,0,0,0,2.638,7.777q-.054,4.224,0,8.448a4.948,4.948,0,0,0,4.746,5.03c3.025.12,6.062.118,9.087,0A4.889,4.889,0,0,0,21.2,16.508c.093-1.492.017-2.995.017-4.493'
				/>
				<path
					id='Path_4119'
					data-name='Path 4119'
					d='M17.054,12.008A5.12,5.12,0,1,1,11.942,6.88a5.145,5.145,0,0,1,5.112,5.128m-5.13,4.18a4.188,4.188,0,1,0-4.177-4.206,4.2,4.2,0,0,0,4.177,4.206'
				/>
				<path id='Path_4120' data-name='Path 4120' d='M17.538,5.5a.921.921,0,1,1-.944.888.9.9,0,0,1,.944-.888' />
			</g>
		</svg>
	);
}
